#!/usr/bin/env python
import os
import sys
import launchagents


USAGE = 'usage: python -m launchagents.unload [path]'

LAUNCHAGENTS = os.path.join(os.environ["HOME"], "Library", "LaunchAgents")


def _unload(path):
    files = launchagents.find(path)
    launchagents.unload(files)


def _cli():
    path = LAUNCHAGENTS
    if len(sys.argv) == 2:
        path = sys.argv[1]
    _unload(path)


if __name__ == '__main__':
    _cli()
